#! /bin/sh

dir=`echo "$0" | sed 's,[^/]*$,,'`
test "x${dir}" = "x" && dir='.'

if test "x`cd "${dir}" 2>/dev/null && pwd`" != "x`pwd`"
then
    echo "This script must be executed directly from the source directory."
    exit 1
fi

mkdir -p autogen project
rm -f autogen/config.h 

#echo "- libtoolize."            && \
#libtoolize --force --automake   && \
echo "- aclocal."               && \
aclocal -I project              && \
echo "- autoconf."              && \
autoconf                        && \
echo "- autoheader."            && \
autoheader                      && \
echo "- automake."              && \
automake --add-missing $AUTOMAKE_FLAGS    && \
echo                            && exit 0

exit 1
